## libhangul 0.0.9-1

=== debian/changelog ===
libhangul (0.0.9-1) unstable; urgency=low

  * New upstream release
  * Standard-Version: 3.8.0.
  * Remove obsolete /usr/bin/hanjac installation.
  * Add ${misc:Depends} on Depends for debhelper.
  * New binary package libhangul0-data, for arch independent data.

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 22 Dec 2008 12:53:47 +0900

libhangul (0.0.8-3) unstable; urgency=low

  * Install the new binary Hanja dictionary (hanja.bin) instead of the
    source hanja.txt.
  * Install the Hanja dictionary converter (hanjac) to the dev package.

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 23 Apr 2008 02:02:35 +0900

libhangul (0.0.8-2) unstable; urgency=low

  * Inserted a missing function declaration (Closes: #477183)

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 22 Apr 2008 03:34:25 +0900

libhangul (0.0.8-1) unstable; urgency=low

  * New upstream release
  * Corrected libhangul0-dbg Depends.
  * Removed python-hangul, which was abandoned by the upstream.

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 21 Apr 2008 15:32:45 +0900

libhangul (0.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #440293)
  * New -dbg debugging symbols package.
  * New python-hangul python interface package.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 29 Jan 2008 19:05:53 +0900

libhangul (0.0.6-2) unstable; urgency=low

  * Standard-Version: 3.7.3.
  * Added Homepage: field and removed homepage URLs from the descriptions.
  * Added Vcs-Browser and Vcs-Git fields.
  * Removed examples from -dev. These "examples" are designed as test
    programs, not good as examples.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 29 Jan 2008 17:28:42 +0900

libhangul (0.0.6-1) unstable; urgency=low

  * New upstream release

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 12 Jul 2007 16:02:51 +0900

libhangul (0.0.4-2) unstable; urgency=low

  * Initial release revised (Closes: #406703)
  * Put additional license info in debian/copyright.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 11 Feb 2007 14:42:43 +0900

libhangul (0.0.4-1) unstable; urgency=low

  * Initial release (Closes: #406703)

 -- Changwoo Ryu <cwryu@debian.org>  Sat,  6 Jan 2007 17:54:23 +0900
