=== debian/watch ===
version=3
http://kldp.net/frs/?group_id=362 /frs/download.php/.*/libhangul-(.*)\.tar\.gz
