## libhangul 0.0.11

=== debian/changelog ===
libhangul (0.0.11-2) unstable; urgency=low

  * Build-Depends on pkg-config and check (Closes: #589440)

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 18 Jul 2010 08:30:37 +0900

libhangul (0.0.11-1) unstable; urgency=low

  * New upstream release
  * Fix debian/watch for the new KLDP.net site
  * Use source format 3.0 (quilt)
  * Standards-Version: 3.9.0
  * Use debhelper7 and drop CDBS.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 18 Jul 2010 03:34:59 +0900

libhangul (0.0.10-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.3
  * Change the Section of the -dbg package to debug

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 01 Nov 2009 00:05:43 +0900
