=== debian/control ===
--- 
+++ 
@@ -5,8 +5,11 @@
 Homepage: http://kldp.net/projects/hangul
 Vcs-Browser: http://git.debian.org/?p=l10n-korean/libhangul.git
 Vcs-Git: git://git.debian.org/git/l10n-korean/libhangul.git
-Standards-Version: 3.8.0
-Build-Depends: cdbs (>= 0.4.48), autotools-dev, debhelper (>= 5)
+Standards-Version: 3.9.0
+Build-Depends: pkg-config,
+	       check (>= 0.9.8),
+	       autotools-dev,
+	       debhelper (>= 7.0.50)
 
 Package: libhangul0
 Section: libs
@@ -30,6 +33,19 @@
  .
  This package contains the architecture independent data.
 
+Package: libhangul0-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libhangul0 (= ${binary:Version}), ${misc:Depends}
+Description: Hangul keyboard input library - debugging symbols
+ This library implements Hangul keyboard input with various types of
+ Korean keyboards.  It is intended to be a base library of Korean
+ input methods on multiple platforms.
+ .
+ This package contains the debugging symbols. Most people will not need this
+ package.
+
 Package: libhangul-dev
 Section: libdevel
 Architecture: any
