=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

.PHONY: override_dh_strip override_dh_makeshlibs

override_dh_strip:
	dh_strip --dbg-package=libhangul0-dbg

override_dh_makeshlibs:
	dh_makeshlibs --version-info
