=== debian/watch ===
version=3
opts=filenamemangle=s/.*filename=(.*)/$1/,downloadurlmangle=s/\/projects\/hangul\/download\//\/frs\/download\.php\// \
  http://kldp.net/projects/hangul/download \
  /projects/hangul/download/[0-9]+\?filename=libhangul-(.*)\.tar\.gz
