## libhangul 0.0.12

=== debian/changelog ===
libhangul (0.0.12-3) unstable; urgency=low

  * Move the translation to libhangul0-data
  * Team maintained by Debian Korean L10N
  * Don't install the *.la file anymore (closes: #621617)
  * Standard-Version: 3.9.2

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 13 Aug 2011 02:27:34 +0900

libhangul (0.0.12-2) unstable; urgency=low

  * Rewrite debian/copyright as the DEP-5 format
  * Install Korean translation and /usr/bin/hangul

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 27 Jan 2011 12:24:43 +0900

libhangul (0.0.12-1) unstable; urgency=low

  * New upstream release
  * Standard-Version: 3.9.1

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 08 Jan 2011 21:30:12 +0900
