=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libhangul
 Section: libs
 Priority: optional
-Maintainer: Changwoo Ryu <cwryu@debian.org>
+Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
+Uploaders: Changwoo Ryu <cwryu@debian.org>
 Homepage: http://kldp.net/projects/hangul
 Vcs-Browser: http://git.debian.org/?p=l10n-korean/libhangul.git
 Vcs-Git: git://git.debian.org/git/l10n-korean/libhangul.git
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Build-Depends: pkg-config,
 	       check (>= 0.9.8),
 	       autotools-dev,
@@ -49,7 +50,7 @@
 Package: libhangul-dev
 Section: libdevel
 Architecture: any
-Depends: libhangul0 (= ${binary:Version}), ${misc:Depends}
+Depends: libhangul0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Hangul keyboard input library - development files
  This library implements Hangul keyboard input with various types of
  Korean keyboards.  It is intended to be a base library of Korean
