## libhangul 0.1.0

=== debian/changelog ===
libhangul (0.1.0-3) unstable; urgency=low

  [ Changwoo Ryu ]
  * Multi-Arch: same on the -dev package
  * debian/copyright: Fix a typo
  * Add libhangul1.symbols for dpkg-gensymbols
  * Add Pre-Depends on multiarch-support
  * Add git-buildpackage config
  * Remove unneeded build dependency on quilt
  * Fix lintian warnings
  * Add lintian overrides for hardening-no-fortify-functions false-positive
  * Standards-Version: 3.9.4

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 02 Feb 2013 22:58:35 +0900

libhangul (0.1.0-2) unstable; urgency=low

  [ Changwoo Ryu ]
  * Correct debian/watch. The upstream moved to Google Code.
  * debian/copyright:
    - Use the copyright format 1.0
  * Use debhelper 9
  * Specify dh_makeshlibs --version-info version
  * Multiarch transition
  * Standard-Version: 3.9.3

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 20 May 2012 02:33:36 +0900

libhangul (0.1.0-1) unstable; urgency=low

  [ Changwoo Ryu ]
  * New upstream version
  * Renamed packages as libhangul1*

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 22 Oct 2011 16:15:06 +0900

libhangul (0.0.12-4) unstable; urgency=low

  [ Changwoo Ryu ]
  * Rename libhangul0-data as libhangul-data, for easy transition to
    libhangul 0.1.x.
  * Exclude /usr/bin/hangul from generating debugging symbols

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 21 Oct 2011 23:48:43 +0900
