=== debian/control ===
Source: libhangul
Section: libs
Priority: optional
Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Homepage: http://kldp.net/projects/hangul
Vcs-Browser: http://git.debian.org/?p=l10n-korean/libhangul.git
Vcs-Git: git://git.debian.org/git/l10n-korean/libhangul.git
Standards-Version: 3.9.4
Build-Depends: autopoint,
	       check (>= 0.9.8),
	       debhelper (>= 9~),
               autotools-dev,
               dh-autoreconf,
               pkg-config,

Package: libhangul1
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: libhangul-data (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Hangul keyboard input library - runtime
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the shared library and the runtime data.

Package: libhangul-data
Architecture: all
Depends: ${misc:Depends}
Replaces: libhangul0-data
Conflicts: libhangul0-data
Multi-Arch: foreign
Description: Hangul keyboard input library - data
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the architecture independent data.

Package: libhangul1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libhangul1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Hangul keyboard input library - debugging symbols
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the debugging symbols. Most people will not need this
 package.

Package: libhangul-dev
Section: libdevel
Architecture: any
Depends: libhangul1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Hangul keyboard input library - development files
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the header files and the static library.
