=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

.PHONY: override_dh_strip

override_dh_strip:
	dh_strip --dbg-package=libhangul1-dbg
