=== debian/watch ===
version=3
http://code.google.com/p/libhangul/downloads/list .*/libhangul-(\d[\d.]*)\.(?:tar\.gz|tar\.bz2)
