=== debian/changelog ===
libhangul (0.1.0+git20170815-2) unstable; urgency=medium

  * debian/copyright: Update the copyright info
  * patch: Define PATH_MAX if it is undefined
  * debian/control:
    - Update Vcs-* to the new salsa.d.o repository
    - Standards-Version: 4.1.2

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 25 Dec 2017 22:20:27 +0900

libhangul (0.1.0+git20170815-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version from git
  * debian/control:
    - Standards-Version: 4.1.1
  * Automatic debug package
    - Remove -dbg package from debian/control
    - Remove dh_strip override from debian/rules
    - Use debhelper (>= 9.20160114)
  * Remove lintian-overrides file; no more false-positive

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 28 Nov 2017 03:20:32 +0900

libhangul (0.1.0-4) unstable; urgency=low

  [ Changwoo Ryu ]
  * debian/control:
    - Correct Vcs-* fields
    - Standards-Version: 3.9.8
    - Remove explicit multiarch-support from Pre-Depends
  * debian/rules: Use hardening=+all build flag
  * debian/{control,copyright,watch}: Update the upstream URL

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 20 Feb 2017 23:48:36 +0900
