## libhangul 0.1.0+git20191003

=== bindings/python/Makefile ===

all:
	python setup.py build

clean:
	rm -rf build

install:
	python setup.py install
