=== debian/changelog ===
libhangul (0.1.0+git20191003-2ubuntu3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:12:34 +0100

libhangul (0.1.0+git20191003-2ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:15:55 +0200

libhangul (0.1.0+git20191003-2ubuntu1) hirsute; urgency=medium

  * Allow stderr in autopkgtest. It should be ported to the new check API.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Mar 2021 02:20:37 +0000

libhangul (0.1.0+git20191003-2) unstable; urgency=medium

  * debian/apparmor/abstraction/libhangul:
    - Move from debian/libhangul.apparmor
    - Fix path
    - Add user-defined keyboards loading to the apparmor abstraction
  * debian/tests/run-test: Use mktemp for executable path
  * debian/patches/path-max.patch: Dropped. The upstream doesn't use
    PATH_MAX anymore

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 05 Dec 2019 14:19:42 +0900

libhangul (0.1.0+git20191003-1) unstable; urgency=medium

  * New upstream version from git
  * debian/libhangul1.symbols: Updated for 0.1.0+git20191003
  * debian/changelog: Remove trailing newline
  * debian/control: Build-Depends on debhelper-compat (= 12) instead of
    debhelper
  * debian/compat: Dropped
  * debian/control: Add "Rules-Requires-Root: no"
  * debian/copyright: Use https for the copyright format URL
  * debian/control: Bump Standards-Version to 4.4.1
  * debian/libhangul1.symbols: Add "Build-Depends-Package: libhangul-dev"
  * debian/control: Drop useless Build-Depends on autotools-dev, dh-autoreconf
  * debian/tests/{control,run-test}: Add autopkgtest
  * debian/salsa-ci.yml: Add Salsa CI config
  * debian/{libhangul.apparmor,libhangul-data.install}: Add apparmor
    abstraction for libhangul

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 13 Nov 2019 13:47:39 +0900
