=== debian/control ===
Source: libhangul
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Section: libs
Priority: optional
Build-Depends: autopoint,
               check (>= 0.9.8),
               debhelper-compat (= 12),
               intltool,
               pkg-config,
               libexpat1-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/choehwanjin/libhangul
Vcs-Browser: https://salsa.debian.org/l10n-korean-team/libhangul
Vcs-Git: https://salsa.debian.org/l10n-korean-team/libhangul.git
Rules-Requires-Root: no

Package: libhangul1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhangul-data (>= ${source:Version}),
Multi-Arch: same
Description: Hangul keyboard input library - runtime
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the shared library and the runtime data.

Package: libhangul-data
Architecture: all
Depends: ${misc:Depends}
Replaces: libhangul0-data
Conflicts: libhangul0-data
Multi-Arch: foreign
Description: Hangul keyboard input library - data
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the architecture independent data.

Package: libhangul-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libhangul1 (= ${binary:Version}),
Multi-Arch: same
Description: Hangul keyboard input library - development files
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the header files and the static library.
