=== debian/tests/control ===
# Run tests
Tests: run-test
Depends: build-essential, libhangul-dev, check (>= 0.9.8), pkg-config
Restrictions: allow-stderr
