=== debian/watch ===
version=4
 https://github.com/choehwanjin/libhangul/releases \
 .*/libhangul-@ANY_VERSION@@ARCHIVE_EXT@
