=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Section: libs
 Priority: optional
 Build-Depends: autopoint,
-               check (>= 0.9.8),
-               debhelper-compat (= 12),
-               intltool,
+               check,
+               debhelper-compat (= 13),
                pkg-config,
                libexpat1-dev,
-Standards-Version: 4.4.1
-Homepage: https://github.com/choehwanjin/libhangul
+Standards-Version: 4.5.1
+Homepage: https://github.com/libhangul/libhangul
 Vcs-Browser: https://salsa.debian.org/l10n-korean-team/libhangul
 Vcs-Git: https://salsa.debian.org/l10n-korean-team/libhangul.git
 Rules-Requires-Root: no
