=== debian/watch ===
version=4
 https://github.com/libhangul/libhangul/tags \
 .*/libhangul-@ANY_VERSION@@ARCHIVE_EXT@
