## libhangul 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,15 +15,15 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
 project(libhangul
-    VERSION 0.1.0
+    VERSION 0.2.0
 )
 
 set(LIBHANGUL_SOVERSION_MAJOR 1)
-set(LIBHANGUL_SOVERSION_MINOR 0)
-set(LIBHANGUL_SOVERSION_PATCH 1)
+set(LIBHANGUL_SOVERSION_MINOR 1)
+set(LIBHANGUL_SOVERSION_PATCH 0)
 
 option(BUILD_SHARED_LIBS
     "Enable/Disable shared library build."
@@ -31,8 +31,8 @@
 )
 
 option(ENABLE_EXTERNAL_KEYBOARDS
-    "Enable/Disable external keyboard xml file loading feature."
-    ON
+    "Enable/Disable external keyboard xml file loading feature (experimental)."
+    OFF
 )
 
 option(ENABLE_UNIT_TEST
@@ -49,7 +49,9 @@
 
 add_subdirectory(hangul)
 add_subdirectory(data/hanja)
+if(ENABLE_EXTERNAL_KEYBOARDS)
 add_subdirectory(data/keyboards)
+endif()
 add_subdirectory(tools)
 add_subdirectory(po)
