=== debian/changelog ===
libhangul (0.2.0-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version
    - Back to using the release tarball.
    - debian/libhangul1.symbols: Update the exported symbols.
    - debian/copyright: Update the copyright years.
  * Build-Depends on pkgconf instead of obsolete pkg-config
  * Standards-Version: 4.7.2

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 11 May 2025 22:03:10 +0900
