=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libhangul
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
+Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
 Uploaders: Changwoo Ryu <cwryu@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: autopoint,
                check,
                debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                libexpat1-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/libhangul/libhangul
 Vcs-Browser: https://salsa.debian.org/l10n-korean-team/libhangul
 Vcs-Git: https://salsa.debian.org/l10n-korean-team/libhangul.git
