=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 	test -f ChangeLog || touch ChangeLog
 	dh_autoreconf
 
+CONFIGURE_FLAGS = --enable-external-keyboards
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
 .PHONY: override_dh_clean
 override_dh_clean:
 	if [ -f ChangeLog ] && ! [ -s ChangeLog ]; then \
