=== debian/tests/control ===
# Run tests
Tests: run-test
Depends: build-essential, libhangul-dev, check, pkg-config
